<div class="dropzone" 
     dropzone
     (hovered)="toggleHover($event)"
     (dropped)="onDrop($event)"
     [class.hovering]="isHovering">


     <h3>AngularFire Drop Zone</h3>
     <p>Drag and Drop a File</p>

     <label class="file-label">


            <input type="file" name="files[]" multiple="" (change)="startUpload($event.target.files)">
    
    
              <span class="file-cta">
                <span class="file-icon">
                  <i class="fa fa-upload"></i>
                </span>
                <span class="file-label">
                  or choose a file…
                </span>
              </span>
            </label>

     
</div>

<!-- <div class="row fileupload-buttonbar">
        <div class="col-lg-7">
            <span class="btn green fileinput-button">
                <i class="fa fa-plus"></i>
                <span> Add files... </span>
                <input type="file" name="files[]" multiple="" (change)="startUpload($event.target.files)"> </span>
            <button type="submit" class="btn blue start">
                <i class="fa fa-upload"></i>
                <span> Start upload </span>
            </button>
            <button type="reset" class="btn warning cancel">
                <i class="fa fa-ban-circle"></i>
                <span> Cancel upload </span>
            </button>
            <button type="button" class="btn red delete">
                <i class="fa fa-trash"></i>
                <span> Delete </span>
            </button>
            <input type="checkbox" class="toggle">
            
            <span class="fileupload-process"> </span>
        </div>
        
        <div class="col-lg-5 fileupload-progress fade">
            
            <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                <div class="progress-bar progress-bar-success" style="width:0%;"> </div>
            </div>
            
            <div class="progress-extended"> &nbsp; </div>
        </div>
    </div> -->

<h3>Uploads</h3>

<div *ngFor="let file of files">
  <upload-task [file]="file"></upload-task>
</div>